
package de.ivu.elect.interfaces.core.zulassungspruefung;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import de.ivu.elect.interfaces.core.KandidaturReferenz;
import de.ivu.elect.interfaces.core.WahlvorschlagReferenz;

@XmlAccessorType(XmlAccessType.FIELD)
public class Wahlrechtspruefung implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = false)
  private String bemerkung;

  @XmlElement(required = false)
  private Long fristInTagenBisZurWahl;

  @XmlElement(required = false)
  private KandidaturReferenz kandidaturReferenz;

  @XmlElement(required = true)
  private PruefkriteriumReferenz pruefkriteriumReferenz;

  @XmlElement(required = true)
  private WahlrechtspruefStatus wahlrechtspruefStatus;

  @XmlElement(required = true)
  private WahlvorschlagReferenz wahlvorschlagReferenz;

  public Wahlrechtspruefung() {
    super();
  }

  public String getBemerkung() {
    return bemerkung;
  }

  public void setBemerkung(String bemerkung) {
    this.bemerkung = bemerkung;
  }

  public Long getFristInTagenBisZurWahl() {
    return fristInTagenBisZurWahl;
  }

  public void setFristInTagenBisZurWahl(Long fristInTagenBisZurWahl) {
    this.fristInTagenBisZurWahl = fristInTagenBisZurWahl;
  }

  public KandidaturReferenz getKandidaturReferenz() {
    return kandidaturReferenz;
  }

  public void setKandidaturReferenz(KandidaturReferenz kandidaturReferenz) {
    this.kandidaturReferenz = kandidaturReferenz;
  }

  public PruefkriteriumReferenz getPruefkriteriumReferenz() {
    return pruefkriteriumReferenz;
  }

  public void setPruefkriteriumReferenz(PruefkriteriumReferenz pruefkriteriumReferenz) {
    this.pruefkriteriumReferenz = pruefkriteriumReferenz;
  }

  public WahlrechtspruefStatus getWahlrechtspruefStatus() {
    return wahlrechtspruefStatus;
  }

  public void setWahlrechtspruefStatus(WahlrechtspruefStatus wahlrechtspruefStatus) {
    this.wahlrechtspruefStatus = wahlrechtspruefStatus;
  }

  public WahlvorschlagReferenz getWahlvorschlagReferenz() {
    return wahlvorschlagReferenz;
  }

  public void setWahlvorschlagReferenz(WahlvorschlagReferenz wahlvorschlagReferenz) {
    this.wahlvorschlagReferenz = wahlvorschlagReferenz;
  }
}
